Bug 63986 - Need way to determine CPU load
Summary: Need way to determine CPU load
Status: CLOSED WONTFIX
Alias: None
Product: eCos
Classification: Retired
Component: Other (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: i386 Linux
medium
medium
Target Milestone: ---
Assignee: eCos bugs internal list
QA Contact: eCos bugs internal list
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-23 08:23 UTC by Jesper Skov
Modified: 2007-04-18 16:42 UTC (History)
0 users

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-20 16:14:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jesper Skov 2002-04-23 08:23:07 UTC
We need some simple way to determine available CPU resources when doing
something like serial tests. Presently, all I can say is that at <baudrate X> it
starts falling apart.

Would be nice if I could say that, at <baudrate X> CPU utilization is >100%
explaining the boards inability to run at this baudrate. At <baudrate X-1> the
CPU utilization is 70% leaving little room to application processing...

You get the idea. Would be nice to have in other situations too - such as
recently when I worked on playmepeg stuff and thought the board was really slow.
Turned out the demo was holding back in attempt to match sync. A CPU load
readout would have saved me some time in that situation.

Comment 1 George Thomas 2002-04-23 12:21:31 UTC
Maybe the techniques used for the network tests (look at nc6_test_slave) would
be useful here.  They establish a background load level using some number of
computationally intensive threads, along with being able to measure the actual
idle-ness of the processor.

Comment 2 Jonathan Larmour 2002-04-24 11:34:03 UTC
More relevant is the stuff that Andrew Lunn wrote for CPU usage as per
http://sources.redhat.com/ml/ecos-discuss/2000-02/msg00047.html


Comment 3 Alex Schuilenburg 2003-06-20 16:14:57 UTC
This bug has moved to http://bugs.ecos.sourceware.org/show_bug.cgi?id=63986


Note You need to log in before you can comment on or make changes to this bug.